Bug 430265 - Review Request: hgsvn - A set of scripts to work locally on subversion checkouts using mercurial
Review Request: hgsvn - A set of scripts to work locally on subversion checko...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-25 12:05 EST by Terje Røsten
Modified: 2008-02-01 02:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 02:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-01-25 12:05:01 EST
Spec URL: http://terjeros.fedorapeople.org/hgsvn/hgsvn.spec
SRPM URL: http://terjeros.fedorapeople.org/hgsvn/hgsvn-0.1.5-1.fc8.src.rpm

Description:
This set of scripts allows to work locally on subversion managed
projects using the mercurial distributed version control system.

Why use mercurial? You can do local (disconnected) work, pull the
latest changes from the subversion server, manage private branches, submit
patches to project maintainers, etc. And of course you have fast local
operations like hg log, hg annotate...
Comment 1 Jason Tibbitts 2008-01-27 02:47:41 EST
The author sure didn't make it very easy to find the license version.  I found
it properly specified only at the end of the __init__.py file.

Shouldn't this require mercurial and subversion in some fashion?  It doesn't
really do much without them.

There's a test suite which can easily be run.  Add build dependencies on
mercurial, subversion and python-nose and add a %check section containing:
  %{__python} setup.py test

* source files match upstream:
   a56f5cce308e455fc6ec913355c3d5dd82c1f87b68b62828962b371469db9376  
   hgsvn-0.1.5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK (the mercurial advertisement is a bit annoying, but meh.)
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
? final provides and requires, missing hg and svn?
   hgsvn = 0.1.5-1.fc9
  =
   /usr/bin/python
   python(abi) = 2.5

X %check is not present, but it should be.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Terje Røsten 2008-01-27 03:55:18 EST
> Shouldn't this require mercurial and subversion in some fashion? 

Yes, added.

> There's a test suite which can easily be run.  Add build dependencies on
> mercurial, subversion and python-nose and add a %check section containing:
> %{__python} setup.py test

You are correct, implemented.

Thanks for nice improvements!


Updated package:
spec: http://terjeros.fedorapeople.org/hgsvn/hgsvn.spec
srpm: http://terjeros.fedorapeople.org/hgsvn/hgsvn-0.1.5-2.fc8.src.rpm

Comment 3 Jason Tibbitts 2008-01-27 16:21:34 EST
Cool, dependencies look good:
  /usr/bin/python
  mercurial
  python(abi) = 2.5
  subversion
and the test suite is called and passes:
  Ran 15 tests in 0.223s
  OK

APPROVED
Comment 4 Terje Røsten 2008-01-27 16:30:40 EST
> APPROVED

Thanks!

New Package CVS Request
=======================
Package Name: hgsvn
Short Description: A set of scripts to work locally on subversion checkouts
using mercurial
Owners: terjeros
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 5 Dennis Gilmore 2008-01-28 11:07:42 EST
CVS Done
Comment 6 Terje Røsten 2008-02-01 02:48:31 EST
available in rawhide, pushed to testing i f-7 and f-8.

Note You need to log in before you can comment on or make changes to this bug.